<?php

/**
 * Classe qui gère le chargement de fichier de configuration
 * 
 * @author Olivier Arteau
 */

class ConfigurationLoader {
	private static $configuration = array();
    
    /**
     * Charge les configurations à partir du fichier spécifier
     * 
     * @param (String) path
     */
    
    public static function loadConfiguration($strPath) {
    	self::$configuration = parse_ini_file($strPath, true);
    }
    
    /**
     * Retourne la configuration pour une section
     * 
     * @param (String) Section
     * @return (Array)
     */
    
    public static function getConfiguration($section) {
    	if (!isset(self::$configuration[$section])) {
    		return array();
    	}
    	
    	return self::$configuration[$section];
    }
}
?>